# Create a phone Switch

You can use the API to deflect phone calls to the Intercom Messenger.
Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.

If custom attributes are specified, they will be added to the user or lead's custom data attributes.

Endpoint: POST /phone_call_redirects
Version: 2.14
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14", "Preview"

## Request fields (application/json):

  - `phone` (string, required)
    Phone number in E.164 format, that will receive the SMS to continue the conversation in the Messenger.
    Example: "+1 1234567890"

  - `custom_attributes` (object)
    An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models. System-defined attributes such as "CX Score rating" and "CX Score explanation" may also be included.
    Example: {"paid_subscriber":true,"monthly_spend":155.5,"team_mates":9,"start_date_iso8601":"2023-03-04T09:46:14Z","end_date_timestamp":1677923174,"CX Score rating":4,"CX Score explanation":"The conversation was resolved quickly and the customer expressed satisfaction with the outcome."}

## Response 200 fields (application/json):

  - `type` (string)
    Enum: "phone_call_redirect"

  - `phone` (string)
    Phone number in E.164 format, that has received the SMS to continue the conversation in the Messenger.
    Example: "+1 1234567890"

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


## Response 400 fields

## Response 422 fields
